#
# CSEARCH.CLS is the definition file for compound classes
#
# format description:
#
# col  1 -  1:  blank ....... dataline
#               # ........... commentline
# col  2 -  6:  Number of partialstructure = classifier
# col  8 -  8:  search mode to used - see partial structure searching
# col 10 - 10:  stereo-search on/off
# col 12 - 19:  name of molfile holding structural information
# col 20 - 34:  Group identifier for display
# col 35 - 80:  descriptive text for this classifier
#
# format is:  (a1,1x,i5,1x,i1,1x,i1,1x,a8,5i3,a49)
#                                   
#
#.....-.-........---...---...---ttexttexttexttexttexttexttexttexttexttexttexttex
#
# the classifiers 1-250 are "special feature" not described by MOLfiles
#
#.....-.-.-........---...---...---ttexttexttexttexttexttexttexttexttexttexttexttex
#
#  Classifier for classifiers used within display and selection
#
#    5 ...... 5-membered ringsystem
#    6 ...... 6-membered ringsystem
#   10 ...... polycyclic
#   14 ...... nitrogen containing
#   16 ...... sulfur containing
#   18 ...... oxygen containing
#   26 ...... aromatic
#
     1                            Chiral compound (asymmetric carbon center)
     2                            Stereocompound
     3                            Complex
     4                            Charged compound
     5                            Radical
#
#.....-.-.-........---...---...---ttexttexttexttexttexttexttexttexttexttex
#
   251 2 0 pyroll1   5 14         tetrahydropyrrol; any substitution
   252 4 0 pyroll2   5 14         tetrahydropyrrol; 2-substituted
   253 4 0 pyroll3   5 14         tetrahydropyrrol; 3-substituted
   255 2 0 pyrol1    5 14 26      pyrrol; any substitution
   256 4 0 pyrol2    5 14 26      pyrrol; 2-substituted
   257 4 0 pyrol3    5 14 26      pyrrol; 3-substituted
#
   270 2 0 thioph1   5 16         tetrahydrothiophen; any substitution
   271 4 0 thioph2   5 16         tetrahydrothiophen; 2-substituted
   272 4 0 thioph3   5 16         tetrahydrothiophen; 3-substituted
   275 2 0 thioph4   5 16 26      thiophen; any substitution
   276 4 0 thioph5   5 16 26      thiophen; 2-substituted
   277 4 0 thioph6   5 16 26      thiophen; 3-substituted
#
   281 2 0 cbuton                 cyclo-butanone; any substitution
   282 2 0 cpenton                cyclo-pentanone; any substitution
   283 2 0 chexon                 cyclo-hexanone; any substitution
   284 2 0 chepon                 cyclo-heptanone; any substitution
#
   290 2 0 thf1      5 18         tetrahydrofurane; any substitution
   291 4 0 thf2      5 18         tetrahydrofurane; 2-substituted
   292 4 0 thf3      5 18         tetrahydrofurane; 3-substituted
   295 2 0 furan1    5 18 26      furane; any substitution
   296 4 0 furan2    5 18 26      furane; 2-substituted
   297 4 0 furan3    5 18 26      furane; 3-substituted
#
   301 2 0 benzol    6 26         benzene; any substitution
   302 4 0 b1        6 26         benzene; mono-substituted
   303 4 0 b12       6 26         benzene; 1,2-disubstituted
   304 4 0 b13       6 26         benzene; 1,3-disubstituted
   305 4 0 b14       6 26         benzene; 1,4-disubstituted
   306 4 0 b123      6 26         benzene; 1,2,3-trisubstituted
   307 4 0 b124      6 26         benzene; 1,2,4-trisubstituted
   308 4 0 b135      6 26         benzene; 1,3,5-trisubstituted
   309 4 0 b1234     6 26         benzene; 1,2,3,4-tetrasubstituted
   310 4 0 b1235     6 26         benzene; 1,2,3,5-tetrasubstituted
   311 4 0 b1245     6 26         benzene; 1,2,4,5-tetrasubstituted
   312 4 0 b12345    6 26         benzene; penta-substituted
   313 4 0 b123456   6 26         benzene; hexa-substituted
#
   320 2 0 pyridin   6 14 26      pyridine; any substitution
   321 4 0 py2       6 14 26      pyridine; 2-substituted
   322 4 0 py3       6 14 26      pyridine; 3-substited
   323 4 0 py4       6 14 26      pyridine; 4-substituted
   324 4 0 py23      6 14 26      pyridine; 2,3-disubstituted
   325 4 0 py24      6 14 26      pyridine; 2,4-disubstituted
   326 4 0 py25      6 14 26      pyridine; 2,5-disubstituted
   327 4 0 py26      6 14 26      pyridine; 2,6-disubstituted
   328 4 0 py34      6 14 26      pyridine; 3,4-disubstituted
   329 4 0 py35      6 14 26      pyridine; 3,5-disubstituted
   330 4 0 py234     6 14 26      pyridine; 2,3,4-trisubstituted
   331 4 0 py235     6 14 26      pyridine; 2,3,5-trisubstituted
   332 4 0 py246     6 14 26      pyridine; 2,4,6-trisubstituted
   333 4 0 py236     6 14 26      pyridine; 2,3,6-trisubstituted
   334 4 0 py245     6 14 26      pyridine; 2,4,5-trisubstituted
   335 4 0 py345     6 14 26      pyridine; 3,4,5-trisubstituted
   336 4 0 py2345    6 14 26      pyridine; 2,3,4,5-tetrasubstituted
   337 4 0 py2346    6 14 26      pyridine; 2,3,4,6-tetrasubstituted
   338 4 0 py2356    6 14 26      pyridine; 2,3,5,6-tetrasubstituted
   339 4 0 py23456   6 14 26      pyridine; penta-substituted
#
   340 2 0 pyr2on                 pyridin-2-one; any substitution
   341 2 0 pyr4on                 pyridin-4-one; any substitution 
   342 2 0 pyh14                  1,4-dihydro-pyridine; any substitution
#
   350 2 0 pyridazi  6 14 26      pyridazine; any substitution
   351 4 0 pyr3      6 14 26      pyridazine; 3-substituted
   352 4 0 pyr4      6 14 26      pyridazine; 4-substituted
   353 4 0 pyr34     6 14 26      pyridazine; 3,4-disubstituted
   354 4 0 pyr35     6 14 26      pyridazine; 3,5-disubstituted
   355 4 0 pyr36     6 14 26      pyridazine; 3,6-disubstituted
   356 4 0 pyr45     6 14 26      pyridazine; 4,5-disubstituted
   357 4 0 pyr345    6 14 26      pyridazine; 3,4,5-trisubstituted
   358 4 0 pyr346    6 14 26      pyridazine; 3,4,6-trisubstituted
   359 4 0 pyr3456   6 14 26      pyridazine; tetrasubstituted
#
   360 2 0 pyrimidi  6 14 26      pyrimidine; any substitution
   361 4 0 pim2      6 14 26      pyrimidine; 2-substituted
   362 4 0 pim3      6 14 26      pyrimidine; 4-substituted
   363 4 0 pim4      6 14 26      pyrimidine; 5-substituted
   364 4 0 pim24     6 14 26      pyrimidine; 2,4-disubstituted
   365 4 0 pim25     6 14 26      pyrimidine; 2,5-disubstituted
   366 4 0 pim45     6 14 26      pyrimidine; 4,5-disubstituted
   367 4 0 pim46     6 14 26      pyrimidine; 4,6-disubstituted
   368 4 0 pim245    6 14 26      pyrimidine; 2,4,5-trisubstituted
   369 4 0 pim246    6 14 26      pyrimidine; 2,4,6-trisubstituted
   370 4 0 pim456    6 14 26      pyrimidine; 4,5,6-trisubstituted
   371 4 0 pim2456   6 14 26      pyrimidine; 2-substituted
#
   375 2 0 pyrazin   6 14 26      pyrazine; any substitution
   376 4 0 paz2      6 14 26      pyrazine; 2-substituted
   377 4 0 paz23     6 14 26      pyrazine; 2,3-substituted
   378 4 0 paz25     6 14 26      pyrazine; 2,5-substituted
   379 4 0 paz26     6 14 26      pyrazine; 2,6-substituted
   380 4 0 paz236    6 14 26      pyrazine; 2,3,5-trisubstituted
   381 4 0 paz2356   6 14 26      pyrazine; tetra-substituted
#
   390 2 0 thiaz1    5 14 16 26   thiazol; any substitution
   391 4 0 thiaz2    5 14 16 26   thiazol; 2-substituted
   392 4 0 thiaz4    5 14 16 26   thiazol; 4-substituted
   393 4 0 thiaz3    5 14 16 26   thiazol; 5-substituted
#
   400 2 0 oxaz1     5 14 18 26   oxazol; any substitution
   401 4 0 oxaz2     5 14 18 26   oxazol; 2-substituted
   402 4 0 oxaz4     5 14 18 26   oxazol; 4-substituted
   403 4 0 oxaz3     5 14 18 26   oxazol; 5-substituted
#
   405 2 0 imidazol               imidazole; any substitution
#
   410 2 0 piper1    6 14         piperidine; any substitution
   411 4 0 piper2    6 14         piperidine; 2-substituted
   412 4 0 piper3    6 14         piperidine; 3-substituted
   413 4 0 piper4    6 14         piperidine; 4-substituted
#
   420 2 0 pyran1    6 18         pyrane; any substitution
   421 4 0 pyran2    6 18         pyrane; 2-substituted
   422 4 0 pyran3    6 18         pyrane; 3-substituted
   423 4 0 pyran4    6 18         pyrane; 4-substituted
#
   430 2 0 diox2     6 18         1,4-dioxane; any substitution
   431 4 0 diox1     6 18         1,4-dioxane; 2-substituted
#
   440 2 0 morph1    6 14 18      morpholine; any substitution
   441 4 0 morph2    6 14 18      morpholine; 2-substituted
   442 4 0 morph3    6 14 18      morpholine; 3-substituted
#
   450 2 0 triaz1    6 14 26      1,3,5-triazine; any substitution
   451 4 0 triaz2    6 14 26      1,3,5-triazine; 2-substituted
# 
   460 2 0 indol1   10 14 26      indole; any substitution
   461 4 0 indol2   10 14 26      indole; 2-substituted
   462 4 0 indol3   10 14 26      indole; 3-substituted
   463 4 0 indol4   10 14 26      indole; 4-substituted
   464 4 0 indol5   10 14 26      indole; 5-substituted
   465 4 0 indol6   10 14 26      indole; 6-substituted
   466 4 0 indol7   10 14 26      indole; 7-substituted
#
   470 2 0 purin1   10 14 26      purine; any substitution
   471 4 0 purin2   10 14 26      purine; 8-substituted
   472 4 0 purin3   10 14 26      purine; 6-substituted
   473 4 0 purin4   10 14 26      purine; 2-substituted
   474 4 0 purin5   10 14 26      purine; 9-substituted
#
   480 2 0 quinol1  10 14 26      quinoline; any substitution
   481 4 0 quinol2  10 14 26      quinoline; 2-substituted
   482 4 0 quinol3  10 14 26      quinoline; 3-substituted
   483 4 0 quinol4  10 14 26      quinoline; 4-substituted
   484 4 0 quinol5  10 14 26      quinoline; 5-substituted
   485 4 0 quinol6  10 14 26      quinoline; 6-substituted
   486 4 0 quinol7  10 14 26      quinoline; 7-substituted
   487 4 0 quinol8  10 14 26      quinoline; 8-substituted
#
   490 2 0 isoqui1  10 14 26      isoquinoline; any substitution
   491 4 0 isoqui8  10 14 26      isoquinoline; 1-substituted
   493 4 0 isoqui2  10 14 26      isoquinoline; 3-substituted
   494 4 0 isoqui3  10 14 26      isoquinoline; 4-substituted
   495 4 0 isoqui4  10 14 26      isoquinoline; 5-substituted
   496 4 0 isoqui5  10 14 26      isoquinoline; 6-substituted
   497 4 0 isoqui6  10 14 26      isoquinoline; 7-substituted
   498 4 0 isoqui7  10 14 26      isoquinoline; 8-substituted
#
   500 4 0 primalk1 18            primary alcohol
   501 4 0 sekalk1  18            secondary alcohol
   502 4 0 tertalk1 18            tertiary alcohol
#   503 4 0 or2      18            ether
   504 4 0 rcho     18            aldehyde; any type
   505 4 0 r2chcho  18            aldehyde; alpha-di-substituted
   506 4 0 r3ccho   18            aldehyde; alpha-tri-substituted
   507 4 0 rchchcho 18            aldehyde; conjugated
   508 4 0 r2co     18            C=O; any type
   509 4 0 r2cs     16            thioketone; any type
   510 4 0 rcooh    18            carboxylic acid; any type
   511 4 0 rcccooh  18            carboxylic acid; conjugated
   512 4 0 rcccoor  18            carboxylic acid; conjaugated; any ester
   513 4 0 rcoor    18            carboxylic acid; any type; any ester
#   514 4 0 rcccor   18            ketone; conjugated
#   515 4 0 rcocoo   18            anhydride; mono-substituted
   516 4 0 rocoor   18            anhydride; any type
   517 4 0 keto12                 1,2-dicarbonyl-compound
   518 4 0 keto13                 1,3-dicarbonyl-compound
   519 4 0 ksre                   carbonic acid derivative
#
   520 4 0 rsime3                 trimethylsilyl
   521 4 0 ROsime3                trimethylsilyloxy
   522 4 0 rosi3                  Tert.-butyl-dimethylsilyloxy
   523 4 0 rosi4                  Tri-(tert.butyl)-silyloxy
#   
   530 4 0 rcocl                  R-COCl
   531 4 0 rcobr                  R-COBr
   532 4 0 rcof                   R-COF
   533 4 0 rcoi                   R-COI
   534 4 0 rconh2                 R-CONH2
   535 4 0 rconhr                 R-CONH-R'
   536 4 0 rconr2                 R-CON-R'R"
#
   540 4 0 acetat                 acetate
   541 4 1 angel                  angelicate
   542 4 1 tiglin                 tiglinate
   543 4 0 benzoyl                benzoyl-moiety
   544 4 0 benzyl                 benzyl-moiety
   545 4 0 dino2ben               3,4-dinitrobenzoyl-ester
   546 4 0 pno2benz               4-nitrobenzoyl-group
   547 4 0 succim1                succinimide; 1-substituted
   548 2 0 succimid               succinimide; any substitution
   549 4 0 obenzyl                o-benzyl-moiety
   550 4 0 thpeth                 tetrapyranoylether; o-substituted
   551 2 0 nat1                   phenylenemethylendioxy-
   552 4 0 tosyl                  tosylate
   553 4 0 acetonid               acetonide
   554 4 0 cf3ac                  trifluoroacetate
   555 4 0 di24no2                2,4-dinitrobenzoyl-ester
#
   560 2 0 isoxazol               isoxazol; any substitution
   561 2 0 isthiaz                isothiazol; any substitution
   562 2 0 oxazole                oxazole; any substitution
   563 2 0 pyrazol                pyrazole; any substitution
   564 2 0 thiazol                thiazole; any substitution
#
   570 2 0 piperaz                piperazine; any substitution
   571 4 0 pipera1                piperazine; 1-substituted
   572 4 0 piper14                piperazin; 1,4-di-substituted
#
   600 2 0 adamant                adamantane; any substitution
#
   610 4 0 phthal1                phthalimide; n-substituted
   611 2 0 phthala                phthalic acid; anhydride
   612 2 0 phthali                phthalimide; any substitution
   613 2 0 phthals                phthalic acid; any substitution
#
   620 2 0 naphtha                naphthalene; any substitution
   621 4 0 nap1                   naphthalene; 1-substituted
   622 4 0 nap2                   naphthalene; 2-substituted
#
   630 2 0 anthra                 anthracene; any substitution
   631 2 0 phenan                 phenanthrene; any substitution
#
   640 2 0 acridin                acridine
   641 2 0 bfuran                 benzofurane; any substitution
   642 2 0 dbfuran                dibenzofurane; any substitution
   643 2 0 dbpyr                  dibenzopyrrol; any substitution
   644 2 0 dbthi                  dibenzothiophene; any substitution
   645 2 0 bthi                   benzothiophen
   646 2 0 phenazin               phenazine; any substitution
   647 2 0 PHENAHTH               phenanthroline; any substitution
#
   650 2 0 ochin                  ortho-chinone
   651 2 0 pchin                  para-chinone
#
   660 2 0 cpropen                cyclo-propene; any substitution
   664 2 0 chexen                 cyclo-hexene; any substitution
   665 2 0 chexdi13               cyclo-hexa-1,3-diene; any substitution
   666 2 0 chexdi14               cyclo-hexa-1,4-diene; any substitution
#
   680 2 0 dithi13                1,3-dithiane
   681 2 0 dithi14                1,4-dithiane
#
   690 2 0 azetidin               azetidine
   691 2 0 azet2on                azetidine-2-one
   692 5 0 penam                  pename
   693 5 0 cephan                 cephame
#
   700 2 0 anth910                anthrachinon; any substitution
   701 2 0 naph12                 1,2-naphthochinon
   702 2 0 naph14                 1,4-naphthochinon
   703 2 0 chalcon                chalcone; any substitution
   704 2 0 stilben                stilbene; any substitution
   705 2 0 zimtsre                cinnamic acid; any substitution
   706 2 0 bphenon                dibenzophenone; any substitution
   707 2 0 chromon                chromone
   708 2 0 chroon4                chroman-4-one
   709 2 0 coum                   coumarine
   710 2 0 pyran2on               pyran-2-one; any substitution
   711 2 0 pyran4on               pyran-4-one; any substitution
   712 2 0 xanthen                xanthene; any substitution
   713 2 0 flavan                 flavane; any substitution
   714 2 0 flavon                 flavone; any substitution
   715 2 0 isochrom               isochromane; any substitution
   716 2 0 xanthen9               xanthene-9-one; any substitution
#
   730 2 0 tet1245                1,2,4,5-tetrazine
   731 2 0 tri124                 1,2,4-triazine
   732 2 0 thiaz14                1,4-thiazine
   733 2 0 btriaz                 benzotriazol
   734 2 0 triaz124               1,2,4-triazol
   735 2 0 furazan                furazane
   736 2 0 indazol                indazol
#
   740 2 0 oxepin                 oxepine
   741 2 0 azepin                 azepine
   742 2 0 thiepin                thiepine
#
   800 2 0 peptid                 peptide
#
   810 2 0 pyranose               carbohydrate; pyranose
#
   820 2 0 adenine                adenine
   821 2 0 adenosin               adenosine
   822 2 0 cytidine               cytidine
   823 2 0 cytosine               cytosine
   824 2 0 deoade                 deoxyadenosine
   825 2 0 deocyt                 deoxycytidine
   826 2 0 deogua                 deoxyguanosine
   827 2 0 deothy                 deoxythymidine
   828 2 0 guanine                guanine
   829 2 0 guanosin               guanosine
   830 2 0 thymine                thymine
   831 2 0 uracil                 uracil
   832 2 0 uridine                uridine
#
   839 2 0 aacs                   alpha-amino carboxylic acid
   840 2 0 arginine               arginine
   841 2 0 asperag                asperaginyl
   842 2 0 histidin               histidine
   843 2 0 methion                methionine
   844 2 0 pheala                 phenylalanine
   845 2 0 proline                proline
   846 2 0 trypto                 tryptophane
   847 2 0 tyrosin                tyrosin
#
   857 2 0 benzsh                 thiophenol; any substitution
   858 2 0 benznh2                aminobenzene; any substitution
   859 2 0 phecf3                 benzotrifluoromethyl
   860 2 0 benzbr                 bromobenzene; any substitution
   861 2 0 benzcl                 chlorobenzene; any substitution
   863 2 0 benzcn                 benzonitrile; any substitution
   864 2 0 benzf                  fluorobenzene; any substitution
   865 2 0 benzi                  iodobenzene; any substitution
   866 2 0 benzno2                nitrobenzene; any substitution
   867 2 0 triphen                triphenylmethane; any substitution
   868 2 0 didiox                 1,4-dibenzodioxinbe; any substitution
#
   870 2 0 bi111                  bicyclo-[1.1.1]-pentane; any substitution
   871 2 0 bi211                  bicyclo-[2.1.1]-hexane; any substitution
   872 2 0 bi221n                 7-aza-bicyclo-[2.2.1]-heptane; any substitution
   873 2 0 bi221o                 7-oxa-bicyclo-[2.2.1]-heptane; any substitution
   874 2 0 bi221s                 7-thia-bicyclo-[2.2.1]-heptane; any substitution
   875 2 0 bi221                  bicyclo-[2.2.1]-heptane; any substitution
   876 2 0 bi222                  bicyclo-[2.2.2]-octane; any substitution
   877 2 0 bi321                  bicyclo-[3.2.1]-octane; any substitution
   878 2 0 bi322                  bicyclo-[3.2.2]-nonane; any substitution
   879 2 0 bi332                  bicyclo-[3.3.2]-decane; any substitution
   880 2 0 bi431                  bicycl0-[4.3.1]-decane; any substitution
   881 2 0 bi441                  bicyclo-[4.4.1]-undecane; any substitution
   882 2 0 bi541                  bicyclo-[5.4.1]-dodecane; any substitution
#
   890 2 0 cyclo3                 cyclopropane; any substitution
   891 2 0 cyclo4                 cyclobutane; any substitution
   892 2 0 cyclo5                 cyclopentane; any substitution
   893 2 0 cyclo6                 cyclohexane; any substitution
   894 2 0 cyclo7                 cycloheptane; any substitution
   895 2 0 cyclo8                 cyclooctane; any substitution
   896 2 0 cyclo9                 cyclononane; any substitution
   897 2 0 cyclo10                cyclodecane; any substitution
#
   901 2 0 decalin                decaline; any substitution
   902 2 0 indene                 indene; any substitution
   903 2 0 phanthr                perhydroanthracene; any substitution
   904 2 0 phphenan               perhydrophenanthrene; any substitution
   905 2 0 allen                  allene derivatives
   906 2 0 biphenyl               biphenyl derivatives
   907 2 0 chrysen                chrysene
   908 2 0 pyren                  pyrene; any substitution
   909 5 0 abietan                abietan-skeleton
#
   910 4 0 isobutyr               isobutyrate
#
   920 2 0 steroid1               steroid-skeleton; androstane
   921 2 0 steroid2               steroid-skeleton; cholestane
#
   930 2 0 urea                   urea; any substitution
   931 2 0 thiourea               thiourea; any substitution
   932 4 0 scn                    thiocyanate
   933 4 0 ocn                    cyanate
#
   940 2 0 ccl3                   trichloromethyl group
   941 2 0 cf3                    trifluoromethyl group
#
   950 4 0 anhydrid               carboxylic acid; anhydride
   951 4 0 imid                   carboxylic acid; imide
#
   960 2 0 epoxid                 epoxides; any substitution
   961 4 0 epox1                  epoxides; 1-substituted
   962 4 0 epox11                 epoxides; 1,1-disubstituted
   963 4 0 epox12                 epoxides; 1,2-disubstituted
   964 4 0 epox112                epoxides; 1,1,2-trisubstituted
   965 4 0 epox1122               epoxides; 1,1,2,2-tetrasubstituted
#
   970 2 0 glycer                 glycerine derivatives
   971 4 0 glyc1                  1-mono-glyceride
   972 4 0 glyc2                  2-mono-glyceride
   973 4 0 glyc12                 1,2-di-glyceride
   974 4 0 glyc13                 1,3-di-glyceride
   975 4 0 glyc123                tri-glyceride
#
   980 2 0 lupinin                lupinine-type alkaloid
   981 2 0 thbich                 benzyl-tetrahydro-isoquinoline type alkaloid
   982 2 0 bisoqu                 benzyl-isoquinoline type alkaloid
   983 2 0 aporph                 aporphine type alkaloid
   984 2 0 proapo                 pro-aporphine type alkaloid
   985 2 0 pyrroliz               pyrrolizidine type alkaloid
   986 2 0 tropane                tropane type alkaloid
   987 2 0 tropine                tropine type alkaloid
   988 2 0 morphin                morphine type alkaloid
   989 2 0 pavine                 pavine type alkaloid
   990 2 0 nikosre                nicotinic acid
#   991 2 0 xanthin                xanthine
   992 2 0 quinazol               quinazol
   993 2 0 furoqui                furoquinoline
#
  1000 2 0 anisol                 anisol derivative
  1001 2 0 di12oh                 1,2-dihydroxy-benzene
  1002 2 0 tri123oh               1,2,3-trihydroxy-benzene
  1004 2 0 anthran                anthranilic acid
#
  1010 4 0 met                    methylgroup
  1011 4 0 eth                    ethylgroup
  1012 4 0 propyl                 propylgroup
  1013 4 0 isoprop                iso-propylgroup
  1014 4 0 tbutyl                 tert.-butylgroup
#  
  1015 4 0 meester                carboxylic acid; methylester
  1016 4 0 etester                carboxylic acid; ethylester
  1017 4 0 ethox                  ethoxy group
  1018 4 0 methox                 methoxy group
#  
  1020 5 0 h3po4                  phosphate 
#
  1030 5 0 so3h                   sulfonic acid 
  1032 5 0 sulfate                sulfate ester
  1033 4 0 thiome                 thiomethyl group
#
  1040 4 0 en1                    alkene; mono-substituted
  1041 4 0 en1122                 alkene; tetra-substituted
  1042 4 0 en112                  alkene; tri-substituted
  1043 4 0 en11                   alkene; 1,1-di-substituted
  1044 4 1 en12c                  alkene; 1,2-di-substituted; CIS
  1045 4 1 en12t                  alkene; 1,2-di-substituted; TRANS
#
  1050 2 0 benzsre                benzoic acid; any substitution
  1051 2 0 diohbenz               1,2-dihydroxy-benzene; any substitution
#
  1870 1 0 bi111a                 bicyclo-[1.1.1]-pentane-skeleton
  1871 1 0 bi211a                 bicyclo-[2.1.1]-hexane-skeleton
  1875 1 0 bi221a                 bicyclo-[2.2.1]-heptane-skeleton
  1876 1 0 bi222a                 bicyclo-[2.2.2]-octane-skeleton
  1877 1 0 bi321a                 bicyclo-[3.2.1]-octane-skeleton
  1878 1 0 bi322a                 bicyclo-[3.2.2]-nonane-skeleton
  1879 1 0 bi332a                 bicyclo-[3.3.2]-decane-skeleton
  1880 1 0 bi431a                 bicycl0-[4.3.1]-decane-skeleton
  1881 1 0 bi441a                 bicyclo-[4.4.1]-undecane-skeleton
  1882 1 0 bi541a                 bicyclo-[5.4.1]-dodecane-skeleton
