/*******************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*******************************************************************************************/ 

function exportASCIIHzScale()
{
	var spec = new NMRSpectrum( nmr.activeSpectrum() );
	if (!spec.isValid())
		return;
	if (spec.dimCount != 1)
		return;

	const dirSetKey = "ASCII_Export/Dir";
	var saveDir = settings.value(dirSetKey, Dir.home());
	var fileName = FileDialog.getSaveFileName("ASCII Files (*.txt)", "", saveDir);
	if (!fileName.length)
		return;

	var fout = new File(fileName);
	
	settings.setValue(dirSetKey, fout.absDirPath);
	 
	fout.open(File.WriteOnly);
	var sout = new TextStream(fout);
	sout.precision = 10;

	var hz = spec.hz();
	var dHz = spec.scaleWidth()/spec.count();
	for(var i = spec.count()-1; i >= 0; i--)
	{
		sout.write(hz, "\t", spec.real(i), "\n");
		hz += dHz;
	}
	fout.close();
}
