/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

function moleculeTest()
{
	print(moleculePlugin);
	var mol = new Molecule(moleculePlugin.activeMolecule());
	print(mol);
	print(mol.getMolfile());
	print(mol.getMolfile(false));
	var atomList = mol.atoms();
	print("Atom Count: ", mol.atomCount);
	print("Bond Count: ", mol.bondCount);
	print("Atom List: ", atomList);
	print("Atom List Length: ", atomList.length);
	var myAtom = new Atom(atomList[2]);
	print("Element: ", myAtom.elementSymbol);
	print("Label: ", myAtom.label);
	print("Text: ", myAtom.text);
	print("Charge: ", myAtom.charge);
	print("nH: ", myAtom.nH);
	print("All nH: ", myAtom.nHAll);
	print("Isotope: ", myAtom.isotope);
	print("Valence: ", myAtom.valence);
	var bondList = mol.bonds();
	print("Bond List: ", bondList);
	print("Bond List Length: ", bondList.length);
	var myBond = new Bond(bondList[1]);
	print("atom1: ", myBond.atom1);
	print("atom2: ", myBond.atom2);
	print("Bond Type:", myBond.bondType);
	print("Bond Stereo: ", myBond.bondStereo);
	print("Numeric value of btDouble: ", Bond.btDouble);
}
