/******************************************************************************************************
Copyright (C) 2009 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/
function waitForInputTest()
{
	var dialogTitle = "My Script Input Dialog";
	var firstStep = "Open a Spectrum";
	var secondStep = "Make a Zoom";
	var dialogMessage="<ol><li>%1</li><li>%2</li></ol>";
	var val = Application.mainWindow.waitForInput(dialogMessage.replace("%1",boldString(firstStep)).replace("%2",secondStep), dialogTitle);
	if( val == 0 )
		return val;
	val = Application.mainWindow.waitForInput(dialogMessage.replace("%1",firstStep).replace("%2",boldString(secondStep)), dialogTitle);
	if( val == 0 )
		return val;
	
	var spc = new NMRSpectrum(nmr.activeSpectrum());
	if(spc.isValid())
	{
		var sLimits = spc.getScaleLimits();
		var resultTemplate = new String("%1 Axis: From %2, To %3");
		var resultString = resultTemplate.replace("%1", "Horizontal").replace("%2", sLimits.fromX.toFixed(3)).replace("%3", sLimits.toX.toFixed(3));
		resultString += "\n"+resultTemplate.replace("%1", "Vertical").replace("%2", sLimits.fromY.toFixed(3)).replace("%3", sLimits.toY.toFixed(3));

		MessageBox.information("Selected Area:\n"+resultString, MessageBox.Ok);
	}
}

function boldString(aString)
{
	return "<b>"+aString+"</b>";
}
