/******************************************************************************************************
Copyright (C) 2012 Mestrelab Research S.L. All rights reserved.

This file is part of the Mnova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

/*globals FileDialog, File, Dir, qsTr*/
/*jslint plusplus: true, indent: 4*/

var CommonSlots = {};

CommonSlots.onOpenDir = function () {
	"use strict";
	var dirName = this.text;

	dirName = FileDialog.getExistingDirectory(dirName);
	if (dirName) {
		this.text = dirName;
	}
};

CommonSlots.onOpenFile = function () {
	"use strict";
	var fileName = this.text;

	fileName = FileDialog.getOpenFileName(this.filter || "", qsTr("Open File"), fileName ? File.absDirPath(fileName) : Dir.home());
	if (fileName) {
		this.text = fileName;
	}
};
