/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

//This function gets a list of arguments and constructs a radio buttons dialog. The first argument is used as dialog title
function radioButtonDialog( aTitle, aStringList, aDefaultChecked )
{
	if( aTitle == undefined || aStringList == undefined )
		return;
	var diag = new Dialog();
	diag.title=aTitle;
	var gBox = new GroupBox();
	diag.add(gBox);
	var rButtons = [];
	for ( var i = 0; i < aStringList.length; i ++ )
	{
		rButtons[i] = new RadioButton();
		rButtons[i].text = aStringList[i];
		if( aDefaultChecked != undefined  && rButtons[i].text == aDefaultChecked )
			rButtons[i].checked = true;
		else if( i == 0 )
			rButtons[i].checked = true;
		gBox.add(rButtons[i]);
    	}
	if( diag.exec() )
	{
		for( var i = 0; i < rButtons.length; i++ )
		{
			if( rButtons[i].checked )
				return rButtons[i].text;
		}
	}
	return undefined;
}

