/*******************************************************************************************
Copyright (C) 2013 Mestrelab Research S.L. All rights reserved.

This file is part of the Mnova scripting toolkit.

Authorized users of Mnova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*******************************************************************************************/

/*globals settings, TextStream, Dir, FileDialog, File, Application, MnUi*/
/*jslint plusplus: true, indent: 4*/

function exportMSData() {
	"use strict";
	var j, dirSetKey, saveDir, fileName, fout, sout, doc, msItem, plot, points;

	dirSetKey = "exportMSData/Dir";
	saveDir = settings.value(dirSetKey, Dir.home());
	fileName = FileDialog.getSaveFileName("ASCII Files (*.txt)", "", saveDir);
	if (!fileName.length) {
		return;
	}
	fout = new File(fileName);
	settings.setValue(dirSetKey, fout.absDirPath);
	fout.open(File.WriteOnly);
	sout = new TextStream(fout);
	sout.precision = 10;

	doc = Application.mainWindow.activeDocument;
	msItem = Application.mass.activeItem();
	plot = msItem.plot();
	points = plot.dataPoints;
	for (j = 0; j < points.length; j++) {
		sout.write(points[j].x, "\t", points[j].y, "\n");
	}

	fout.close();
}

if (this.MnUi && MnUi.scripts_mass) {
	MnUi.scripts_mass.scripts_mass_ExportMSData = exportMSData;
}
