/*******************************************************************************************
Copyright (C) 2013 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*******************************************************************************************/

/*globals File, TextStream, settings, FileDialog, Dir, Application, MassItem, MnUi*/
/*jslint plusplus: true, indent: 4*/

function exportMSPeaks() {
	"use strict";
    var fout, sout, doc, msItemCount, i, spec, plot, j,
		dirSetKey = "exportMSPeaks/Dir",
		saveDir = settings.value(dirSetKey, Dir.home()),
		fileName = FileDialog.getSaveFileName("ASCII Files (*.txt)", "", saveDir);

    if (!fileName.length) {
	    return;
	}

    fout = new File(fileName);
    settings.setValue(dirSetKey, fout.absDirPath);
    fout.open(File.WriteOnly);
    sout = new TextStream(fout);
    sout.precision = 10;

    doc = Application.mainWindow.activeDocument;
	msItemCount = doc.itemCount("Mass Spectrum");
    for (i = 0; i < msItemCount; i++) {
		spec = new MassItem(doc.item(i, "Mass Spectrum"));
		sout.writeln("Spectrum: ", spec.datasetFileName);
		plot = spec.plot(0);
		sout.writeln("RT\tArea");
		for (j = 0; j < plot.peaks.length; j++) {
			sout.writeln(plot.peaks[j].center.x, "\t", plot.peaks[j].area);
		}
		sout.writeln();
    }

    fout.close();
}

if (this.MnUi && MnUi.scripts_mass) {
	MnUi.scripts_mass.scripts_mass_ExportMSPeaks = exportMSPeaks;
}
