/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/
// Returns list of files corresponding to the given aFileMask and aDirMask,
// Starting at aCurDir directory and scanning the dirrectories recursively or not
// dependently on the aRecursively parameter.
function getMaskFiles(aCurDir, aPrevDir, aFileMask, aDirMask, aRecursively, aDirsSort, aFilesSort)
{
	if (aDirsSort == undefined)
		aDirsSort = Dir.Name;
	if (aFilesSort == undefined)
		aFilesSort = Dir.Name;

	var curDir = new Dir(aCurDir);
    var foundFiles = new Array;
    if (aPrevDir.length)
    {
		var prevDir = new Dir(aPrevDir);
		var maskDirs = prevDir.entryList(aDirMask, Dir.Dirs, aDirsSort);
		var hasCurDir = false;
		var curDirName = curDir.name;
		for(var i = 0; i < maskDirs.length; i++)
		{
			if (maskDirs[i] == curDirName)
			{
				hasCurDir = true;
				break;
			}
		}
		if (hasCurDir)
		{
			foundFiles = curDir.entryList(aFileMask, Dir.Files, aFilesSort);
			print(foundFiles);
			for(var i = 0; i < foundFiles.length; i++)
				foundFiles[i] = curDir.filePath(foundFiles[i]);
			print( "In Dir" + " " + aCurDir + " Files Found " + foundFiles.length );
		}
	}
    
    if (aRecursively)
    {
		var dList = curDir.entryList("*", Dir.Dirs, aDirsSort);
		for(var i = 0; i < dList.length; i++ )
		{
			var d = dList[i];
			if (d != "." && d != "..")
			{
				var newFiles = getMaskFiles(curDir.filePath(d), aCurDir, aFileMask, aDirMask, aRecursively, aDirsSort, aFilesSort);
				for(var j = 0; j < newFiles.length; j++ )
					foundFiles.push(newFiles[j]);
			}
		}
	}
	return foundFiles;
}

function getMaskFilesAdv(aDir, aPathMask, aDirsSort, aFilesSort)
{
	//print("aDir: " + aDir);
	//print("aPathMask: " + aPathMask);

	if (aDirsSort == undefined)
		aDirsSort = Dir.Name;
	if (aFilesSort == undefined)
		aFilesSort = Dir.Name;

	var foundFiles = new Array;
	
	var slashIndex = aPathMask.indexOf("/");
	if (slashIndex == 0)
	{	// Ignore leftmost slashes
		if (aPathMask.length != 1)
			foundFiles = getMaskFilesAdv(aDir, aPathMask.slice(1, aPathMask.length), aDirsSort, aFilesSort);
	}
	else if (slashIndex == -1) // aPathMask contains pure file mask
	{
		foundFiles = aDir.entryList(aPathMask, Dir.Files, aFilesSort);
		for(var i = 0; i < foundFiles.length; i++)
			foundFiles[i] = aDir.filePath(foundFiles[i]);
		print( "In Dir" + " " + aDir.absPath + " Files Found " + foundFiles.length );
	}
	else
	{
		var dirMask = aPathMask.slice(0, slashIndex);
		print("dirMask: " + dirMask);
		var maskDirs = aDir.entryList(dirMask, Dir.Dirs, aDirsSort);
		for(var i = 0; i < maskDirs.length; i++)
		{
			var maskDir = new Dir(aDir.absPath);
			maskDir.cd(maskDirs[i]);
			var newFiles = getMaskFilesAdv(maskDir, aPathMask.slice(slashIndex+1, aPathMask.length), aDirsSort, aFilesSort);
			for(var j = 0; j < newFiles.length; j++)
				foundFiles.push(newFiles[j]);
		}
	}
	return foundFiles;
}
