/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

// Implement this function to return non-zero value for your non-standard ASCII file
// If you have several types of ASCII files then return different values for each of them.
// This value will be passed to standardizeMyASCII function to be used there.
function isMyASCII(aFileName)
{ // Don't forget to close the file on finish check!
	myASCII = 0;
	var f = new File(aFileName);
	f.open(File.ReadOnly);
	// Do the check here.
	f.close();
	return myASCII;
}

// Implement this function to convert your ASCII file to the one understood by MNova:
// [Header_Line1]
// [Header_Line2]
// ...
// [Header_LineM]
// X1_ppm	Re1	[Im1]
// X2_ppm	Re2	[Im2]
// ...
// XN_ppm	ReN	[ImN]
function standardizeMyASCII(aMyASCII, aInFileName, aOutFileName) // return true on successful convertion
{	
	var result = false;
	
	if (aMyASCII > 0)
	{
		var fin = new File(aInFileName);
		fin.open(File.ReadOnly);
		var fout = new File(aOutFileName);
		fout.open(File.WriteOnly);

		var sin = new TextStream(fin);
		var sout = new TextStream(fout);

		switch (aMyASCII)
		{
			case 1:
				// Below is an example of how to prepend header with nucleus and frequency information to ASCII file which doesn't contain it.
				sout.write("Frequency 400\nNucleus 1H\n");
				sout.write(sin.readAll());
				break;
			case 2:
				// Put your own code here  
				break;
			case 3:
				// Put your own code here
				break;
			// etc.	
		}
		
		fin.close();
		fout.close();
		
		result = true;
	}
	
	return result;
}
