/***************ettings****************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

/* This function defines a base report dialog  */
function ReportDialog()
{
	this.fDiag = new Dialog();
	
	this.fDiag.title="Report";
	
	this.fGroupBox = new GroupBox();
	this.fDiag.add(this.fGroupBox);
	
	this.fRadioButtons = new Array();

	this.fSaveSettings = true;
}

ReportDialog.prototype.addReporter = function (aReporter)
{
	var rButton = new RadioButton();
	rButton.text = aReporter.name;
	this.fRadioButtons.push(rButton);
	this.fGroupBox.add(rButton);
}

ReportDialog.prototype.getSelectedReporter = function()
{
	for ( var i = 0; i < this.fRadioButtons.length; i++ )
	{
		if ( this.fRadioButtons[i].checked )
			return this.fRadioButtons[i].text;
	}
	return undefined;
}

/* This function defines the constructor of the dialog to create Multiplet Reports  */
function MultipletReportDialog(aArrayOfReporters, aSaveSettings)
{
	ReportDialog.call(this);
	
	this.fDiag.title="Multiplet Report";
	
	this.fMultipletsCheckBox = new CheckBox();
	this.fMultipletsCheckBox.text = "m's as Ranges";
	this.fDiag.add( this.fMultipletsCheckBox );
	this.fSaveSettings=aSaveSettings;
	
	for( var i = 0; i<aArrayOfReporters.length; i++ )
		this.addReporter(aArrayOfReporters[i]);
}

MultipletReportDialog.prototype = new ReportDialog();

MultipletReportDialog.prototype.exec = function()
{
	this.fMultipletsCheckBox.checked = settings.value( MultipletReporter.useRangeSettings, true );

	var defaultCheck = settings.value( MultipletReporter.templateSettings, String("JACS") );
	var somethingChecked = false;
	for ( var i = 0; i < this.fRadioButtons.length; i++ )
	{
		if ( this.fRadioButtons[i].text == defaultCheck )
		{
			this.fRadioButtons[i].checked = true;
			somethingChecked = true;
			break;
		}
	}
	
	if( somethingChecked == false )
		this.fRadioButtons[0].checked = true;
	
	var retVal = this.fDiag.exec();
	if( retVal && this.fSaveSettings )
	{
		for ( var i = 0; i < this.fRadioButtons.length; i++ )
		{
			if ( this.fRadioButtons[i].checked )
			{
				settings.setValue(MultipletReporter.templateSettings, this.fRadioButtons[i].text);
				break;
			}
		}
		settings.setValue(MultipletReporter.useRangeSettings, this.fMultipletsCheckBox.checked);
	}
	
	return retVal;
}

MultipletReportDialog.prototype.showMAsRanges = function()
{
	return this.fMultipletsCheckBox.checked;
}

/* This function defines the constructor of the dialog to create Peak Reports  */
function PeakReportDialog(aArrayOfReporters, aSaveSettings)
{
	
	ReportDialog.call(this);
	
	this.fDiag.title="Peak Report";
	
	this.fSaveSettings = aSaveSettings;

	for( var i = 0; i<aArrayOfReporters.length; i++ )
		this.addReporter(aArrayOfReporters[i]);
}

PeakReportDialog.prototype = new ReportDialog();

PeakReportDialog.prototype.exec = function()
{
	var defaultCheck = settings.value( PeakReporter.templateSettings, String("JACS") );
	var somethingChecked = false;
	for ( var i = 0; i < this.fRadioButtons.length; i++ )
	{
		if ( this.fRadioButtons[i].text == defaultCheck )
		{
			this.fRadioButtons[i].checked = true;
			somethingChecked = true;
			break;
		}
	}
	
	if( somethingChecked == false )
		this.fRadioButtons[0].checked = true;
	
	var retVal = this.fDiag.exec();
	if( retVal && this.fSaveSettings )
	{
		for ( var i = 0; i < this.fRadioButtons.length; i++ )
		{
			if ( this.fRadioButtons[i].checked )
			{
				settings.setValue(PeakReporter.templateSettings, this.fRadioButtons[i].text);
				break;
			}
		}
	}
	
	return retVal;
}
