/******************************************************************************************************
Copyright (C) 2009 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/ 

//This function removes the numbers from the parameter str
function removeNumbers(str)
{
    var result = new String();
    for ( var i = 0; i < str.length; i++ )
    {
	var s = str.charAt(i);
	if (isNaN(s)) 
		result += s; 
    }
    return result;
}

function solventStr2Html(aSolvent)
{
	const specialEnd = new RegExp("-[Dd]\\d*$");
	if (aSolvent.match(specialEnd))
		return aSolvent; // Nothing to do if a solvent is in extended form (Chloroform-d, etc.)
	var result = new String;
	var started = false;
	for(var i = 0; i < aSolvent.length; i++)
	{
		var c = aSolvent[i];
		var isDigit = '0' <= c && c <= '9';
		if (!started && isDigit)
		{
			started = true;
			result += "<sub>";
		}
		else if (started && !isDigit)
		{
			started = false;
			result += "</sub>";
		}
		result += c;
	}
	if (started)
		result += "</sub>";
	return result;
}

function firstNotEmptyString() 
{
	for(var i = 0; i < arguments.length; i++)
	{
		if (arguments[i] != undefined && arguments[i].length)
			return arguments[i];
	}
	return "";
}

function unBracket(aStr, aLeft, aRight)
{
	if (aStr.length > 1 && aStr[0] == aLeft && aStr[aStr.length-1] == aRight)
		return aStr.slice(1, aStr.length-1);
	return aStr;
}
